﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
End Sub

Public Sub Initialize
	
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("frm_main")
	
	Sleep(2000)
	
	Dim Dialog As B4XDialog
	Dialog.Initialize(Root)
	
	Dialog.BorderCornersRadius = 20dip
	Dialog.BackgroundColor = xui.Color_White
	
	Dim p As B4XView = xui.CreatePanel("")
	p.SetLayoutAnimated(0, 0, 0, 300dip, 400dip)
	p.SetColorAndBorder(xui.Color_White,0,0,20dip)
	
	p.LoadLayout("CustomDialog")
	
	Dialog.ShowCustom(p,"","","")
	SetCircleClip(Dialog.Base,20dip)
	
	Sleep(500)
	Dialog.Base.SetRotationAnimated(50,10)
	Sleep(50)
	Dialog.Base.SetRotationAnimated(50,0)
	Sleep(50)
	Dialog.Base.SetRotationAnimated(50,-10)
	Sleep(50)
	Dialog.Base.SetRotationAnimated(50,0)
	Sleep(50)
	Dialog.Base.SetRotationAnimated(50,10)
	Sleep(50)
	Dialog.Base.SetRotationAnimated(50,0)
	Sleep(50)
	Dialog.Base.SetRotationAnimated(50,-10)
	Sleep(50)
	Dialog.Base.SetRotationAnimated(50,0)
	Sleep(50)
End Sub


Private Sub SetCircleClip (pnl As B4XView,radius As Int)'ignore
#if B4J
Dim jo As JavaObject = pnl
Dim shape As JavaObject
Dim cx As Double = pnl.Width
Dim cy As Double = pnl.Height
shape.InitializeNewInstance("javafx.scene.shape.Rectangle", Array(cx, cy))
If radius > 0 Then
	Dim d As Double = radius
	shape.RunMethod("setArcHeight", Array(d))
	shape.RunMethod("setArcWidth", Array(d))
End If
jo.RunMethod("setClip", Array(shape))
#else if B4A
	Dim jo As JavaObject = pnl
	jo.RunMethod("setClipToOutline", Array(True))
	pnl.SetColorAndBorder(pnl.Color,0,0,radius)
	#Else If B4I
	Dim NaObj As NativeObject = pnl
	Dim BorderWidth As Float = NaObj.GetField("layer").GetField("borderWidth").AsNumber
	' *** Get border color ***
	Dim noMe As NativeObject = Me
	Dim BorderUIColor As Int = noMe.UIColorToColor (noMe.RunMethod ("borderColor:", Array (pnl)))
	pnl.SetColorAndBorder(pnl.Color,BorderWidth,BorderUIColor,radius)
#end if
End Sub